2019-11-30 : ver 2.1.5

	* 環境設定の「増減幅」→「表示倍率の1段階 (100% 以下時)」で、
	  負の値を指定すると、現在の表示倍率 * (-指定値) / 100 を増減値にするようにした。
	* レイヤパネルのアルファマスク選択部分で、Shift+左ボタンを押すと、アルファ値維持に変更するようにした。
	* ValueBar (スピン付きの数値バー) 上でマウスホイールを操作すると、値を +1/-1 するようにした。
	* キャンバスの DPI が変わった後にテキスト描画をした時、
	  作成済みである以前の DPI + pt サイズのフォントが使われるのを修正。
	* ブラシパネルのブラシ一覧上でのアイテムのD&D移動開始条件を変更。
	  アイテムがすでに選択されている状態で左ボタンを押し、別アイテム上へ移動＋数px移動の条件で開始するようにした。
	* 翻訳ファイルを追加 (it)

	[mlib]
	* mLineEdit: 左ダブルクリックでテキストを全選択するようにした

2019-05-01 : ver 2.1.4

	* 合成モードに「発光(加算)」「発光(覆い焼き)」を追加。
	  (レイヤのアルファ値がRGB値に適用されるため、ブラシで描画すると自然な発光感が出る)
	* キャンバスなどの縮小表示時のオーバーサンプリング数を上げた。
	  (表示倍率が低くてもより綺麗に表示されるように。その分処理は重くなる)
	* 表示倍率の最大を 1000% → 2000% に変更。
	* ブラシパネルのブラシ一覧上で、左ボタンでのアイテムD&Dは、別のアイテムまたは空欄上にカーソルが移動したときに開始するように変更。
	* 変形ダイアログで、回転の入力数値が 180 以上/-180 以下の時、正しく処理できていなかったのを修正。
	* テキスト描画ダイアログで、フォントを変更すると落ちるのを修正。
	* 翻訳ファイルを追加 (fr)

2018-10-06 : ver 2.1.3

	* メインメニューに「最小化」を追加
	* 塗りつぶし/自動選択ツールのオプションの「判定」の項目に、「透明(A=0)」を追加。
	  (アルファ値判定の場合、不透明部分をクリックすると、その繋がっている範囲が塗りつぶされてしまうので、
	   常に透明な部分だけ塗りたい時用に)

	[テキストツール]
	* サイズの値を少数第一位まで指定できるようにした。
	* 「濁点合成」の項目を追加。
	  (「゛」(U+309B) と「゜」 (U+309C) の文字を、合成用文字で前の文字と合成するか。
	   「合成文字に置換」＝U+3099/U+309A に置き換える。縦書きの場合は、縦書きのレイアウトで描画。
	   「置換+横書き合成」＝縦書き時に有効。合成文字に置き換えて、横書きで合成する。
	   どちらを使うかは、フォントによって異なる。)
	* 「モニタのDPIを使う」のチェックを追加。
	  (今までは fontconfig から取得した DPI 値を使っていたため、モニタの DPI 値になっていた。
	   サイズが pt 単位の場合は、デフォルトで作業キャンバスの DPI 値を使うようにした)
	
	* 翻訳ファイルを追加 (be, es_ES)
	* mlib のファイルのライセンスを GPL3 に変更。

2018-04-19 : ver 2.1.2

	* レイヤの最大数を 2000 に変更。
	* チャンネル数が 6 ある PSD ファイルを読み込めるようにした。
	* アンドゥデータの圧縮時に正しい値が出力されない場合があったため、
	  復元時にメモリを超える位置に書き込まれることが原因で落ちることがあるのを修正。

2017-09-18 : ver 2.1.1

	* フィルタに「HLS調整」を追加。
	* カラーパネルに HLS バーを追加。
	  タイプの選択をタブからアイコンボタンに変更。
	* カラーパレット一覧の上で垂直ホイール操作で、スクロールするようにした。
	* キャンバスビュー/イメージビューアの操作設定で、中ボタンの設定が保存されていなかったのを修正。

	[mlib]
	* ウィンドウマネージャによっては、起動時に前回のウィンドウ位置からずれる場合があるのを修正。
	* 実行時に環境変数 MLIB_APPDATADIR が存在する場合、そのディレクトリをアプリのデータディレクトリにするようにした。

2017-08-26 : ver 2.1.0

	* メインメニューに項目追加。
	  - 「レイヤ」>「すべてのフォルダを閉じる」
	  - 「選択範囲」>「範囲内のイメージをPNG出力」

	* パネル
	  - ３ペインまで使えるようにした。
	  - 「カラーホイール」パネルを追加。
	  - パネル配置設定を変更。

	[各パネル]
	* カラー
	  - HSV MAP の SV バーの最大値を 100 から 255 に変更。
	* カラーパレット
	  - パレットの表示設定に「横の最大表示数」を追加。
	    横の数が指定数より大きい場合は、その値に制限します。
	  - パレット編集ダイアログを変更。
	* ブラシリスト
	  - グループのメニューに「新規ブラシ-複製」の項目を追加。
	    現在のブラシ値を複製して新規ブラシを作成できるようにした。
	  - ブラシを選択した時、現在のツールがブラシでない場合は、
	    ブラシツールに変更するようにした。
	  - ブラシ名の描画にはパネル用のフォントを使うようにした。
	* イメージビューア
	  - 「左右反転表示」の項目を追加。
	  - アイコンボタンを追加: 全体表示、左右反転表示
	* キャンバスビューとイメージビューア
	  - 操作設定に中ボタンを追加。

	[変更]
	* 最近使ったファイルを開く時、ファイルが存在しない場合は、
	  メッセージを出した後、履歴から削除するようにした。
	* レイヤテクスチャ選択のメニュー時、「画像選択」の項目名を「テクスチャ画像選択」に変更。
	  また、画像選択ダイアログのタイトルも変更。
	* キャンバス上でプレビューするタイプのフィルタダイアログ表示時、
	  前回のウィンドウ位置を復元するようにした。
	  (ダイアログ内でプレビューするものなどは中央表示で固定)
	* ショートカットキー設定で、「セット」ボタンを削除。
	  装飾キー以外が押された時点でキーをセットするようにした。
	* 新規作成ダイアログで、pxサイズが制限を超える場合はメッセージを表示するようにした。
	* 環境設定
	  - ボタン操作の設定方法を変更。
	  - テーマの選択方法を変更。
	  - ほか、色々整理。
	* ステータスバーのフォントは、
	  パネル用のフォントではなくデフォルトのフォントを使うようにした。
	* 一部 UI の色を変更。

	[修正]
	* いくつかのパネルにおいて、畳んだ状態で終了した時、
	  次回起動時にパネルの高さが正しい状態になっていなかったのを修正。
	* ブラシの「塗り」が加算の時、濃度が適用されていなかったのを修正。
	* 選択範囲を反転した時に、キャンバス範囲外に選択範囲がセットされてしまう場合があるのを修正。
	  (反転時は、キャンバス範囲外部分はクリア、キャンバス範囲内のみ反転するようにした)

	[mlib]
	* CMYK カラーの JPEG 読み込みに対応。
	* ファイルダイアログ
	  - 隠しファイルの表示/非表示ができるようにした。
	  - ウィンドウサイズやソートの状態などを記録するようにした。
	* 数値入力ダイアログのエディットにスピンを付けるようにした。
	* システムカラーを２つ追加 (iconbtt_face_select, iconbtt_frame_select)

2017-06-03 : ver 2.0.6

	* 環境設定に「UI」の項目を追加。
	  - GUI のテーマ (色) を変更できるようにした。
	    それに伴い、一部のウィジェットの使用色を変更。
	  - アイコンのサイズを変更できるようにした。また、アイコンを描き直した。
	  - ツールバーのボタンをカスタマイズできるようにした。
	* 日本語において、「パレット」の名称を「パネル」に変更。
	* パネル配置設定で、移動ボタンを、テキストから矢印アイコンに変更。

	[mlib]
	* mDockHeader のタイトルをフォントで描画するようにした。
	* ver 2.0.5 で、リストビュー上で横スクロールした時に落ちるのを修正。

2017-05-20 : ver 2.0.5

	* フィルタ追加
	  「アルファ操作(カレント) > 透明以外をすべて完全不透明に」

	* PSD 保存時、無圧縮にすると落ちるのを修正。

	* ブラシの硬さが 100 の時と 0-99 の時で描画処理を分けるようにした。
	  (100 の場合は常に縁が最大限まで広がるようにした)
	* 矩形編集時、枠の上にカーソルを載せたときの位置判定が少し枠の内側に寄っていたのを改善。
	  また、キャンバス縮小表示時の判定範囲を少し大きくした。
	* 矩形編集の変形ダイアログ
	  - 表示倍率変更時、現在の画面の中央位置を基準に拡大縮小するようにした。
	  - 上記の変更に伴い、スクロールバーをなくした。
	  - +Shift ドラッグの機能を、縦横比維持からキャンバス拡大縮小に変更。
	  - 中ボタンドラッグでキャンバススクロールできるようにした。
	* 上下ドラッグでキャンバス拡大縮小の操作時のカーソルを追加。

	* 翻訳ファイルを追加 : zh_CN (簡体字中国語)

	[mlib]
	* ファイルダイアログの実装を変更。
	* ファイルダイアログで、ディレクトリのシンボリックリンクが
	  ディレクトリとして認識されていなかったのを修正。

2017-03-11 : ver 2.0.4

	* テキスト描画の縦書き時、フォントによっては文字が正しく置き換わらない場合があるのを修正。

2017-03-05 : ver 2.0.3

	* ツールバーに「ファイル履歴」のアイコンを追加した。
	* メニュー「最近使ったファイル」に「履歴を消去」の項目を追加。

	* APD/ADW のイメージ読み込み時、また、アンドゥなどの作業ファイルの読み込み時、
	  正しく読み込めない場合があるのを修正。

	* PSD 読み込み時、レイヤグループの構造を維持するようにした。
	  また、レイヤマスクがある場合は、アルファ値に適用するようにした。
	  また、Unicode のレイヤ名データが含まれる場合は、それを読み込むようにした。
	* PSD 保存時、Unicode のレイヤ名データを含めるようにした。
	* イメージビューアパレットで、全体表示が ON の時は、表示倍率のアイコンを無効状態にするようにした。
	* メニューの「キャンバスキー設定」の位置を「ショートカットキー設定」の上に変更。
	* ブラシ項目の「筆圧」で、タイプが曲線の時、数値とスピンボタンを表示するようにした。
	  また、右クリックか Ctrl+左クリックで値をリセットできるようにした。
	* フィルタでプレビューを OFF にした時、元のイメージを表示するようにした。
	* X11 の GUI 処理で、eventfd の代わりに pipe を使うようにした。

	* パッケージに APD の MIME タイプ定義ファイルとアイコンを追加。
	  *.apd ファイルと AzPainter を関連付けるようにした。
	* 翻訳ファイルを追加 : ro (ロシア語)、uk (ウクライナ語)

2017-02-19 : ver 2.0.2
	* 環境設定に「起動時のDPI」を追加。
	* 「アルファ値のみ(1bit)」レイヤ時、描画時などで元のアルファ値が最大の半分以上なら
	  色ありにしていたのを、アルファ値が1以上なら色ありにするように変更。
	* メインウィンドウ格納時の各パレットの高さを変更する時の動作を変更。
	* ブラシの荒さが 80 以上の時、荒さを強くするようにした。
	* 選択範囲のイメージ移動/コピー時、アルファマスクや色マスクなどは適用しないようにした。
	* アンドゥ/リドゥ実行時、常にレイヤのプレビューを更新するようにした。
	* ブラシのサイズリストで、サイズ追加時の動作がおかしかったのを修正。

2017-02-07 : ver 2.0.1
	* azpainter.svg で '>' の閉じ忘れがあったため、読み込めなかったのを修正。

2017-02-04 : ver 2.0.0
	* 正式版

2017-01-23 : ver 2.0.0b8

	* 「掴んだレイヤを選択」時、選択したレイヤが閉じたフォルダで隠れている場合は、
	  親フォルダを展開するようにした。
	  また、選択したレイヤが一覧上で見える位置に来るようにスクロールするようにした。
	* ブラシの直線描画時、+Shift での45度単位が、実際の描画時に適用されていなかったのを修正。
	* ポルトガル語 (pt_BR) の翻訳データを追加。

2017-01-22 : ver 2.0.0b7

	* キャンバスキー設定に、「掴んだレイヤを選択」の項目を追加。
	* レイヤ一覧上でフォルダを右クリックした時のメニューに、
	  「このフォルダの上に新規レイヤ作成」「チェックレイヤをこのフォルダに移動」の項目を追加。
	* オプションパレットの「定規」のタイプ選択を、アイコンイメージでの選択に変更。
	* キャンバスビューパレットのアイコン部分を変更。
	* 複製保存時に編集ファイルの更新状態を「変更なし」にしていたのを修正。

2017-01-14 : ver 2.0.0b6

	* 矩形編集の「変形」時、表示倍率を 100% 以下時は 1% 単位、100% 以上時は 50% 単位にするようにした。
	  また、ダイアログ表示時に、表示倍率スライダーが常に 100% の位置だったのを修正。
	* 色マスクとレイヤのアルファマスクの色判定を、ストローク描画前の色で判定するようにした。
	  (以前は描画先の色から判定していたので、ストローク描画中に対象部分の色が変わると描画対象外になってしまうため、
	  アンチエイリアスありのブラシ描画時におかしな描画結果になっていた)
	* ブラシの自由線描画時は、ボタンを押した時に使われたデバイスの情報のみ使うようにした。
	  (ペンタブでドラッグしている間は、マウスを動かしても描画に適用されません。逆も同じ。
	  おそらく、これでペンタブ描画中たまにダマになるのは防げると思います)

2017-01-13 : ver 2.0.0b5

	* 環境設定の「操作」で、マウスとペンタブレットそれぞれでボタンに動作を設定できるようにした。
	  また、左ボタンにも動作を設定できるようにした。
	  なお、操作設定は初期化されるので、再度設定し直してください。
	* 選択範囲のイメージ移動/コピー時、+Ctrl で、ドラッグされている間、選択枠を非表示にするようにした。
	* 変形ダイアログ時、Ctrl+左ドラッグで、キャンバススクロール出来るようにした。
	* 登録ブラシがカレントブラシではない場合にキャンバスキーの「登録ブラシのサイズ変更」を実行した時、
	  ブラシの自動保存が無効の場合でもブラシサイズが常に保存されていたが、
	  自動保存の無効時は一時的な変更にするようにした。
	  (ブラシサイズ変更後に登録ブラシをカレントにした場合は、キャンバスキーで変更したブラシサイズが
	  セットされた状態になりますが、その後ブラシを保存せずにブラシの選択を変更すると、ブラシサイズは元に戻ります)

2017-01-08 : ver 2.0.0b4

	* 矩形編集の「変形」時、選択範囲がある場合は、
	  矩形内のイメージの中で選択範囲外の部分は変形元イメージとして扱わないようにした。
	* レイヤの新規作成、またはレイヤ設定ダイアログ時時、レイヤ名の横にボタンを追加。
	  よく使うレイヤ名を登録して呼び出せるようにした。
	* 「キャンバスキー設定」に、「キー＋操作で選択範囲ツール動作」を追加。
	  選択範囲ツールの特定の動作をいつでも実行できるようになった。
	* キャンバス回転の拡大時、補間して表示するようにした。
	* 「パレット配置設定」で、左右移動時に移動元が選択されていない時、落ちるのを修正。
	* レイヤ一覧上で、スクロールバーを素早く動かした後すぐにボタンを離すと、
	  その後のレイヤの表示位置が正しくないのを修正。

2017-01-06 : ver 2.0.0b3

	* キャンバス背景がチャック柄表示でない時に矩形編集の変形を行った場合、
	  変形画面のプレビューとその後のキャンバス表示が正しくなかったのを修正。

2017-01-05 : ver 2.0.0b2

	* 選択範囲ツールの範囲削除を +Shift から +Ctrl に変更。
	* 塗りつぶし/自動選択ツール時、+Ctrl で「透明(アンチエイリアス自動)」で判定。
	* レイヤパレットで、カラータイプがアルファ値のみのレイヤ上でプレビュー部分を +Shift すると
	  現在の描画色をレイヤの線の色に設定するようにした。
	* 日本語マニュアルを追加。
